
var zhztinfoid;
var idx;
var pName;
let audioStreamer = null;
var path_word = '';
var path_sent = '';
var result = '';
var is_free = 0;
apiready=function(){
	zhztinfoid=api.pageParam.zhztinfoid;
	is_free=api.pageParam.is_free;
	idx=api.pageParam.index;
	audioStreamer = api.require('audioStreamer');
	// audioStreamer.setLoop({loop:true});// 设置循环播放
	findUserMsgV2().then(res=>{
		pName = res.pName || '';
		
		// if(parseInt(is_free)===0 && !res.pName){
		// 	adFn();
		// }
		return req({
			url: `/topics/course/${zhztinfoid}/1?pageSize=100`
		});
	}).then(res2=>{
		// console.log(JSON.stringify(res2));
		result = res2.result;
		getPlay(res2.result[idx].id);
	}).then(()=>{
		api.toast({
			msg:'点一下左侧喇叭，耐心等一下哦',
			duration:5000
		});
	});

	api.addEventListener({
		name:'keyback'
	}, function(ret){
		audioStreamer.stop();
		api.closeWin();
	});
}

//广告
// function adFn(){
// 	const ADM = api.require('AdmobileModule');
// 	ADM.AdInit({
// 		APP_ID: '3520222',
// 		SPLASH_AD_POS_ID1: '9a5ff57ceaf24c0500',
// 		debug: true
// 	});
// 	ADM.AdInsertScreen({
// 		INTERSTITIAL_AD_POS_ID: '0232f17f3819d74538'
// 	},function(res){
// 		console.log($api.jsonToStr(res))
// 		if(res && res.code==0) {ADM.ShowInsertScreen();}
// 	});// 插屏广告
// }



// 获取当前单词具体信息
function getPlay(id){
		// console.log(id)
	return req({
		url: '/tbdc/wordLogList/getWordByListId/'+ id,
	}).then(ret=>{
		// console.log('--41--'+$api.jsonToStr(ret));
		if(Object.prototype.hasOwnProperty.call(ret.meTestQuestions[0],'contentPic')){
			$('#pic').attr('src',ret.meTestQuestions[0].contentPic);
		}
		path_word = ret.meTestQuestions[0].content_audio;
		path_sent = ret.meTestQuestions[1].content_audio;
		let obj = {
			e_word: ret.meTestQuestions[0].content,
			symbol: ret.meTestQuestions[0].phonetic_symbol,
			chinese: ret.meTestQuestions[0].word_translation,
			sentence: ret.meTestQuestions[1].content
			// st_translation: ret.meTestQuestions[1].word_translation
		}
		for(let key in obj){
			$('#'+key).html(obj[key]);
		}
	});
}
	
// 节流函数
function throttle(fn, delay = 200) {
	let timer = null
	return function () {
		if(timer) return
		timer = setTimeout(function() {
			fn.apply(this,arguments)
			timer = null
		}, delay);
	}
}

var obj = null;
// 稍微封一下
function fn(){
	if(!obj){
		obj = new Player(path_word, path_sent);
	}else{
		obj.closeAudio();// 清除样式与播放器
		obj = null;// 每点击一下就会创建对象，所以要销毁对象
	}
}

// 播放按钮点击事件
function audioPlay(){
	throttle(fn, 700)();
}

class Player{
	constructor(){
		this.audioType = true;// 判断播放单词或句子，true:单词，false:句子
		this.count = 0;// 计算播放次数
		this.totle = 0;
		this.read();// 播放
		this.onAudioState();// 监听播放器状态
	}
	onAudioState(){// 监听播放器状态
		audioStreamer.addEventListener({}, ret=> {
			// console.log('onAudioState----'+ret.state);
			if(ret.state==='finished'){
				this.audioType ? $('#e_word').removeClass('e_word_change') : $('#sentence').removeClass('sentence_change');
				this.totle++;
				if(this.count<=2){
					setTimeout(()=>{ this.read(); },1000);
				}else{
					this.count=0;
					this.audioType = !this.audioType;
					if(this.totle<=5){
						setTimeout(()=>{ this.read(); },1000);
					}else{
						this.totle = 0;
						this.nextWord();
					}
				}
			}
		});
	}
	read(){
		audioStreamer.openPlayer({
			path: this.audioType ? path_word : path_sent
		}, ret=> {
			this.count++;
			this.audioType ? $('#e_word').addClass('e_word_change') : $('#sentence').addClass('sentence_change');
		});
	}
	nextWord(){
		idx= parseInt(idx)+1;
		// console.log(JSON.stringify(result[idx]));
		if(idx>=result.length){
			obj = null;
			return api.toast({
				msg:'congratulations，已经学完这一册啦~',
				location: 'middle',
				duration: 5000
			});
		}
		if(result[idx].is_free && !pName){
			this.stopAudio();
			obj = null;
			return api.confirm({
				title: 'tips',
				msg: '您尚未拥有权限，是否购买权限',
				buttons: ['确定', '取消']
			}, (ret, err)=> {
				if(ret.buttonIndex==1){
					api.openWin({
						// name:'android_ct_order',
						// url:'./android_ct_order.html'
						name:'juhe_order',
						url:'./juhe_order.html'
					});
				}
			});
		}
		// 获取下一个单词
		getPlay(result[idx].id).then(res=>{
			setTimeout(()=>{ this.read(); },1000);
		});
	}
	stopAudio(){
		audioStreamer.stop();
	}
	closeAudio(){
		this.stopAudio();
		$('#e_word').removeClass('e_word_change');
		$('#sentence').removeClass('sentence_change');
	}
}

function backWin(){
	audioStreamer.stop();
	api.closeWin();
}