//var phoneNumber = /^(((13[0-9]{1})|(15[0-9]{1})|(18[0-9]{1}))+\d{8})$/;
var phoneNumber = /^(1[3-9])\d{9}$/;
var status = false;
var handleType;
var loginType = true;
apiready = function() {
	if(!noCheckRegAndLog.includes(channelType)) checkPms();
	handleType = api.pageParam.handleType;
	//防止键盘压缩页面，body要加绝对定位
	var Height = $('body').height();
	$(window).resize(function() {
	    $('body').height(Height);
	});
	//监听checkCode传回来的事件
	api.addEventListener({
	    name:'useTimeThis'
    },function(ret,err){
    	var dom = $api.byId("btn");
    	timeThis(dom);
    });
	var mobilephone = $api.getStorage('loginid');
	$('#phone').val(mobilephone);
	setStyle();
};

function setStyle(){
	$api.removeCls($api.byId('login_l'), 'login_l_change');
	$api.css($api.byId('list1'), 'line-height:' + api.winHeight * 0.675 * 0.5 * 0.2 + 'px;');
	$api.css($api.byId('list2'), 'line-height:' + api.winHeight * 0.675 * 0.5 * 0.2 + 'px;');
}

function login() {
	if($api.getStorage('xmLoginMsg')) $api.rmStorage('xmLoginMsg');
	if($api.getStorage('hw_login')) $api.rmStorage('hw_login');
	var loginid = $api.trim($api.val($api.byId('phone')));
	var passwd = $api.val($api.byId('passwd'));
	if (loginid.length <= 0) {
		alert('手机号码不能为空!');
		return;
	}
	if (passwd.length < 6) {
		alert('密码格式错误!');
		return;
	}
	if(loginType) {
		loginType = false;
		loginFn(loginid,passwd);
	}
}

//登录接口
function loginFn(loginid,passwd){
	// console.log(getDeviceId()+'----'+$api.getStorage('uCode')+'-----'+api.getGlobalData({ key:'$apkType' })+'--'+channelType)
	api.ajax({
		url : userURL + '/v2/login',
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {
			values : {
				uniqueStr: getDeviceId(),
				userName: $api.getStorage('uCode'),
				password: passwd,
				phone: loginid,
				apkType: apkType,
				channelType: channelType,
				deviceName: 'PHONE'
			}
		},
		returnAll : false
	}, function(ret, err) {
		// console.log(JSON.stringify(ret));
		if (ret) {
			if (ret.code == '200') {
				setTimeout(function(){loginType = true;},1000);
				$api.setStorage('loginState', ret.sessionId);
				//设置登录状态
				$api.setStorage('loginid', loginid);
				//记录登录loginid
				api.toast({
					msg : ret.msg,
					duration : 3000,
					global : true
				});
				let $apkType = api.getGlobalData({ key:'$apkType' });
				if($apkType.indexOf('xxtbkt')>=0){
					api.execScript({
						name:"root",
						script: "getIndexDate('V2_OTT_HOME_HEAD_MENU', '', 0);"
					});
				}else if($apkType==='v1_ott_gjb'){
					api.closeToWin({ name:'object_index' });
				}else{
					api.execScript({
						name:"object_index",
						script: "getIndexDate('V3_HOME_HEAD_MENU', '', 0);"
					});
				}
				backLogin();
			} else if (ret.code != null && ret.code != '' && ret.code != undefined) {
				loginType = true;
				api.alert({
					msg : ret.msg
				});
			}else loginType = true;
		}else loginType = true;
	});
}

//找回密码1
function findPsw(){
	status = true;
	var html = '';
	var html_btn='';
	html += '<div class="list1" id="verify">';
		html += '<span>验证码：</span><input id="core" type="tel" pattern="\d*" maxlength="6" value=""/>';
		html += '<div class="vCode" id="vCode">';
			html += '<input readonly="" type="button" id="btn" value="获取验证码" onclick="getCode()"/>';
		html += '</div>';
	html += '</div>';
	$api.byId("list1").insertAdjacentHTML('afterend',html);//插入验证码
	$api.html($api.byId("pw"), "新&nbsp;&nbsp;密&nbsp;&nbsp;码：");
	$api.css($api.dom('.input_list'),'top:27%;');
	$('.list1').css('marginBottom','5%');
	if(status){
		html_btn += '<img src="../../image/pages/login/sure.png" onclick="setPsw()" />';//找回按钮
		html_btn += '<img src="../../image/pages/login/close.png" onclick="backLogin()" />';//跳过按钮
		$api.html($api.byId("list_btn"), html_btn);
	}
	
//	console.log($api.byId("phone").value)
	var phone_num = $api.byId("phone").value;
	if(phone_num != '' || phone_num != undefined || phone_num != null){
		phoneNumTest();
	}
}

$("#phone").keyup(function() {
	phoneNumTest();
});

function phoneNumTest(){
	var phone = $api.trim($api.val($api.byId('phone')));
	var phoneNumber = /^(1[3-9])\d{9}$/;
	if($api.byId("btn")){
		if (phoneNumber.test(phone)) {
			$api.removeAttr($api.byId('btn'), "disabled");
			$("#vCode").css('background-color', '#49b742');
			$("#btn").css('color', '#fff');
		}else{
			$api.attr($api.byId('btn'), "disabled", true);
			$("#vCode").css('background-color', '#ccc');
			$("#btn").css('color', '#000');
		}
	}
}

//获取验证码
function getCode() {
	var phone = $api.trim($api.val($api.byId('phone')));
	var phoneNumber = /^(1[3-9])\d{9}$/;
	if (!phoneNumber.test(phone)) {
		alert('请输入正确的手机号码!');
		return;
	}
	var WinHeight=$api.dom("body").clientHeight;
	api.openFrame({
	    name: 'checkCode',
	    url: './checkCode.html',
	    rect: {
		    x:0,
		    y:0,
		    w:api.winWidth,
		    h:WinHeight
	    },
		pageParam : {
			apktype : apkType,
			phone:phone,
			operatetype:1
		}
    });
//	api.ajax({
//		url : userURL + 'verify',
//		method : 'post',
//		cache : false,
//		timeout : 30,
//		dataType : 'json',
//		data : {
//			values : {
//				userid : v_code,
//				operatetype : 1,
//				content : phone,
//				apkType:apkType
//				
//			}
//		}
//
//	}, function(ret, err) {
//		if (ret) {
////			console.log(ret.msg);
//			api.toast({
//				msg : ret.msg,
//				duration : 2000,
//				global : true
//			});
//		}
//	});
}

//获取验证码倒计时
var wait = 60;
function timeThis(o) {
	var phone = $api.trim($api.val($api.byId('phone')));
	var phoneNumber = /^(1[3-9])\d{9}$/;
	if (!phoneNumber.test(phone)) {
		return;
	}
	if (wait == 0) {
		$("#vCode").css('background-color', '#49b742');
		$("#btn").css('color', '#FFFFFF');
		o.removeAttribute("disabled");
		o.value = "获取验证码";
		wait = 60;
	} else {
		if (wait == 60) {
			$("#vCode").css('background-color', '#ccc');
			$("#btn").css('color', '#000');
		}
		o.setAttribute("disabled", true);
		o.value = "重新发送(" + wait + ")";
		wait--;
		setTimeout(function() {
			timeThis(o)
		}, 1000)
	}
}

//找回密码
function setPsw(){
	var phoneNum = $api.trim($api.val($api.byId('phone')));
	var verify = $.trim($("#core").val());
	var passwd = $api.val($api.byId('passwd'));
	if (phoneNum.length <= 0) {
		return alert('手机号码不能为空!');
	}
	if (!isPasswd(passwd)) {
		return alert('密码格式错误，密码格式为6~20位以字母或数字开头，可加部分特殊字符。');
	}
	api.ajax({
		url : domain + '/user/u/v2/findPassword',
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {
			values : {
				apkType: apkType,
				channelType: channelType,
				uniqueStr: getDeviceId(),
				userName: $api.getStorage('uCode'),
				phone: phoneNum,
				verify: verify,
				password: passwd,
				deviceName: api.uiMode.toUpperCase() || 'PHONE'
			}
		},
		returnAll : false
	},function(res,err){
		// console.log(JSON.stringify(res));
		// code:205-手机号不存在, code:200-修改成功，code:0003-手机号码与短息验证码不匹配, code:0004-短信验证码已被使用
		if(res){
			// if(res.code)
			api.toast({
				msg : res.msg,
				duration : 2000,
				global : true
			});
			if(res.code == '200'){// 修改成功
				loginFn(phoneNum, passwd);
			}
		}
	})
}

function openRegWin(){
	register('./register_window.html',1);
	api.closeFrame();
}

function backLogin(){
	status = false;
	$api.addCls($api.byId('login_l'), 'login_l_change');
	api.sendEvent({
	    name:'closeCurWin'
    });
	window.setTimeout('api.closeFrame()',1000)
}